
//  OsavaltioitaStringBuilder.cs (c) 2002-2005 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-01-15  Tiedosto luotu.
//  2005-01-15  Viimeisin muutos.

//  Tama ohjelma toimii kuten Osavaltioita.cs. Tassa ohjelmassa
//  kaytetaan StringBuilder-oliota string-olioiden sijaan.

using System ;
using System.Text ;  // StringBuilder namespace

class OsavaltioitaStringBuilder
{
   static void Main()
   {
      string  lantisin_osavaltio  =  "Hawaii" ;
      string  preeriaosavaltio    =  "Illinois" ;

      StringBuilder osavaltioita_usassa  =
           new StringBuilder( lantisin_osavaltio + "  " + preeriaosavaltio ) ;

      Console.Write( "\n   "  +  osavaltioita_usassa ) ;

      string  kultainen_osavaltio    =  "California" ;

      osavaltioita_usassa.Insert( 6, kultainen_osavaltio ) ;
      osavaltioita_usassa.Insert( 6, "  " ) ;

      Console.Write( "\n   "  +  osavaltioita_usassa ) ;

      string  itaisin_osavaltio  =  "Maine" ;

      osavaltioita_usassa.Append( "  Virginia  " ) ;
      osavaltioita_usassa.Append( itaisin_osavaltio ) ;

      Console.Write( "\n   "  +  osavaltioita_usassa ) ;

      int viimeisen_osavaltion_indeksi  =
                     osavaltioita_usassa.ToString().LastIndexOf( "  " ) ;

      osavaltioita_usassa.Remove( viimeisen_osavaltion_indeksi,
                                  osavaltioita_usassa.Length
                                  -  viimeisen_osavaltion_indeksi ) ;
      osavaltioita_usassa.Append( "  Massachusetts" ) ;

      Console.Write( "\n   "  +  osavaltioita_usassa ) ;

      osavaltioita_usassa.Replace( "Illinois", "Michigan" ) ;

      Console.Write( "\n   "  +  osavaltioita_usassa  +  "\n" ) ;
   }
}


